/**
 * @author Kuitos
 * @since 2019-04-11
 */
import { SandBoxType } from '../../interfaces';
import * as css from './css';
import { patchLooseSandbox, patchStrictSandbox } from './dynamicAppend';
import patchHistoryListener from './historyListener';
import patchInterval from './interval';
import patchWindowListener from './windowListener';
export function patchAtMounting(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox) {
    var _a;
    const basePatchers = [
        () => patchInterval(sandbox.proxy),
        () => patchWindowListener(sandbox.proxy),
        () => patchHistoryListener(),
    ];
    const patchersInSandbox = {
        [SandBoxType.LegacyProxy]: [
            ...basePatchers,
            () => patchLooseSandbox(appName, elementGetter, sandbox.proxy, true, scopedCSS, excludeAssetFilter),
        ],
        [SandBoxType.Proxy]: [
            ...basePatchers,
            () => patchStrictSandbox(appName, elementGetter, sandbox.proxy, true, scopedCSS, excludeAssetFilter, speedySandBox),
        ],
        [SandBoxType.Snapshot]: [
            ...basePatchers,
            () => patchLooseSandbox(appName, elementGetter, sandbox.proxy, true, scopedCSS, excludeAssetFilter),
        ],
    };
    return (_a = patchersInSandbox[sandbox.type]) === null || _a === void 0 ? void 0 : _a.map((patch) => patch());
}
export function patchAtBootstrapping(appName, elementGetter, sandbox, scopedCSS, excludeAssetFilter, speedySandBox) {
    var _a;
    const patchersInSandbox = {
        [SandBoxType.LegacyProxy]: [
            () => patchLooseSandbox(appName, elementGetter, sandbox.proxy, false, scopedCSS, excludeAssetFilter),
        ],
        [SandBoxType.Proxy]: [
            () => patchStrictSandbox(appName, elementGetter, sandbox.proxy, false, scopedCSS, excludeAssetFilter, speedySandBox),
        ],
        [SandBoxType.Snapshot]: [
            () => patchLooseSandbox(appName, elementGetter, sandbox.proxy, false, scopedCSS, excludeAssetFilter),
        ],
    };
    return (_a = patchersInSandbox[sandbox.type]) === null || _a === void 0 ? void 0 : _a.map((patch) => patch());
}
export { css };
//# sourceMappingURL=index.js.map