import type { IASMAAppsObject as IAsmaAppsObject } from './interfaces';
import { envs } from './registry/environment-entries';
import { IMicroAppRegistryNames } from './registry/microapp-registry';
/**
 *@readonly do not update directly use setAppsObject() in stead
 */
declare global {
    interface Window {
        __ASMA_REGISTRABLE_APPS__?: IAsmaAppsObject;
    }
}
export declare function getAsmaRegistrableApps(): IAsmaAppsObject | undefined;
export declare function setAsmaRegistrableAppsNew(reg_app_names: IMicroAppRegistryNames[], env?: envs, devtools?: boolean): Promise<void>;
/**
 * In dev mode it  set ImportMapOverrides app
 *
 * call this function before render App() method
 * @deprecated use setAsmaRegistrableAppsNew()
 * @param registrable_apps IAsmaAppsObject
 * @param devtools bool
 */
export declare function setAsmaRegistrableApps(registrable_apps?: IAsmaAppsObject, devtools?: boolean): Promise<void>;
/**
 * before registerAsmaMicroApps one need to call setAsmaRegistrableApps to ensure microappregistration!
 * call this method after render App() method.
 */
export declare function registerAsmaMicroApps(): Promise<void>;
//# sourceMappingURL=registerASMAMicroApps.d.ts.map