import { useEffect, useRef } from 'react';
export function useEffectOnce(effect, deps) {
    const effectCalled = useRef(false);
    useEffect(() => {
        if (effectCalled.current) {
            return;
        }
        effectCalled.current = true;
        return effect();
    }, deps);
}
//# sourceMappingURL=useEffectOnce.js.map