export interface QiankunProps {
    container?: HTMLElement;
    [x: string]: unknown;
}
export declare type QiankunLifeCycle = {
    bootstrap: () => void | Promise<void>;
    mount: (props: QiankunProps) => void | Promise<void>;
    unmount: (props: QiankunProps) => void | Promise<void>;
    update: (props: QiankunProps) => void | Promise<void>;
};
declare global {
    interface Window {
        $RefreshReg$: () => void;
        $RefreshSig$: () => <T>(type: T) => T;
        __vite_plugin_react_preamble_installed__: boolean;
        moduleQiankunAppLifeCycles?: Record<string, QiankunLifeCycle>;
        proxy: QiankunWindow;
    }
}
export interface QiankunWindow {
    __POWERED_BY_QIANKUN__?: boolean;
    [x: string]: any;
}
export declare function generateQiankunHelpers(appName: string): {
    renderWithQiankun: (qiankunLifeCycle: QiankunLifeCycle) => void;
    qiankunWindow: QiankunWindow;
};
//# sourceMappingURL=vitePluginQiankunHelper.d.ts.map